TS_RESP_CTX_NEW(3ossl)

NAME
TS_RESP_CTX_new_ex, TS_RESP_CTX_new, TS_RESP_CTX_free - Timestamp response context object creation

SYNOPSIS
 #include <openssl/ts.h>

 TS_RESP_CTX *TS_RESP_CTX_new_ex(OSSL_LIB_CTX *libctx, const char *propq);
 TS_RESP_CTX *TS_RESP_CTX_new(void);
 void TS_RESP_CTX_free(TS_RESP_CTX *ctx);

DESCRIPTION
Creates a response context that can be used for generating responses.

TS_RESP_CTX_new_ex() allocates and initializes a TS_RESP_CTX structure with a library context of libctx and a property query of propq. The library context and property query can be used to select which providers supply the fetched algorithms.

TS_RESP_CTX_new() is similar to TS_RESP_CTX_new_ex() but sets the library context and property query to NULL. This results in the default (NULL) library context being used for any operations requiring algorithm fetches.

TS_RESP_CTX_free() frees the TS_RESP_CTX object ctx. If the argument is NULL, nothing is done.

RETURN VALUES
If the allocation fails, TS_RESP_CTX_new_ex() and TS_RESP_CTX_new() return NULL, otherwise it returns a pointer to the newly allocated structure.

HISTORY
The function TS_RESP_CTX_new_ex() was added in OpenSSL 3.0.

COPYRIGHT
Copyright 2021-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.